<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>User.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.model</a> &gt; <span class="el_source">User.java</span></div><h1>User.java</h1><pre class="source lang-java linenums">package com.example.demo.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = &quot;users&quot;)
public class User {
	 @Id
	    @GeneratedValue(strategy = GenerationType.IDENTITY)
	 private Long id;
     
	    @Column(nullable = false, unique = true, length = 45)
	    private String email;
	     
	    @Column(nullable = false, length = 64)
	    private String password;
	     
	    @Column(name = &quot;first_name&quot;, nullable = false, length = 20)
	    private String firstName;
	     
	    @Column(name = &quot;last_name&quot;, nullable = false, length = 20)
	    private String lastName;
		
	    public User() {
<span class="fc" id="L30">				super();</span>
				// TODO Auto-generated constructor stub
<span class="fc" id="L32">			}</span>
	
	    
	public User(Long id, String email, String password, String firstName, String lastName ) {
<span class="nc" id="L36">			super();</span>
<span class="nc" id="L37">			this.id = id;</span>
<span class="nc" id="L38">			this.email = email;</span>
<span class="nc" id="L39">			this.password = password;</span>
<span class="nc" id="L40">			this.firstName = firstName;</span>
<span class="nc" id="L41">			this.lastName = lastName;</span>
			
<span class="nc" id="L43">		}</span>

	

	public Long getId() {
<span class="fc" id="L48">		return id;</span>
	}


	public void setId(Long id) {
<span class="nc" id="L53">		this.id = id;</span>
<span class="nc" id="L54">	}</span>


	public String getEmail() {
<span class="fc" id="L58">		return email;</span>
	}


	public void setEmail(String email) {
<span class="fc" id="L63">		this.email = email;</span>
<span class="fc" id="L64">	}</span>


	public String getPassword() {
<span class="nc" id="L68">		return password;</span>
	}


	public void setPassword(String password) {
<span class="fc" id="L73">		this.password = password;</span>
<span class="fc" id="L74">	}</span>


	public String getFirstName() {
<span class="nc" id="L78">		return firstName;</span>
	}


	public void setFirstName(String firstName) {
<span class="fc" id="L83">		this.firstName = firstName;</span>
<span class="fc" id="L84">	}</span>


	public String getLastName() {
<span class="nc" id="L88">		return lastName;</span>
	}


	public void setLastName(String lastName) {
<span class="fc" id="L93">		this.lastName = lastName;</span>
<span class="fc" id="L94">	}</span>


	@Override
	public String toString() {
<span class="nc" id="L99">		return &quot;User [id=&quot; + id + &quot;, email=&quot; + email + &quot;, password=&quot; + password + &quot;, firstName=&quot; + firstName</span>
<span class="nc" id="L100">				+ &quot;, lastName=&quot; + lastName + &quot;]&quot;;</span>
	}


	


}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>